Get Report
http
POST /api/analytics/v2/item-ratingBase URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Item Rating · Specification doc ↗
Method is available by Personal token, Service token
The method forms a dataset for item rating.
The report data is updated once an hour.
Request limit per one seller account:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 3 requests | 20 s | 3 requests |
Request body
application/json — schema ItemRatingRequest, required
currentPeriodPeriodItemRating(required)startstring(required) — Start date of the period. No later thanend. No earlier than 364 days from yesterdayendstring(required) — End date of the period. No earlier than 364 days from yesterday
pastPeriodPastPeriodItemRatingstartstring(required) — Start date of the period. No later thanend. No earlier than 364 days from yesterdayendstring(required) — End date of the period. No later than the day before the start datecurrentPeriod. No earlier than 364 days from yesterday
nmIdsinteger<int32>[]— List of WB item numbers for filteringsubjectIdsinteger<int32>[]— List of subcategory IDs for filteringbrandNamesstring[]— List of brands for filteringtagIdsinteger<int64>[]— List of label IDs for filteringisNotIncludeNmsWithoutSalesboolean— Are items with no sales returned: -true— yes, the method returns only items without sales for the period specified in thecurrentPeriodobject -false— no, the method returns all items unless other parameters are specifiedonlyShadowedNmsboolean— Are only hidden items returned in the response: -true— yes, the method returns only items hidden from catalog -false— no, the method returns all items unless other parameters are specifiedorderByOrderByItemRating(required)fieldstring=feedbackRating|feedbackCount|fiveStar|fourStar|threeStar|twoStar|oneStar|disqualified(required) — Sorting field: -feedbackRating— Review-based rating -feedbackCount— Total reviews -fiveStar— 5 star reviews -fourStar— 4 star reviews -threeStar— 3 star reviews -twoStar— 2 star reviews -oneStar— 1 star reviews -disqualified— Excluded reviewsmodestring=asc|desc(required) — Sorting order: -asc— ascending -desc— descending
limitinteger<int64>— Number of items in the responseoffsetinteger<int64>(required) — How many results to skip. For example, with value10, the response will start with the 11 element
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV2ItemRatingResponse200 |
400 | Bad request | ErrorObject400 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | ErrorObject403 |
429 | Too many requests | object |
Structure 200:
dataItemRatingResponsesellerRatingTableItemFloatcurrentnumber<float64>— Current ratingdynamicsnumber<float64>— Dynamics compared to the previous period (%)
feedbackIncreaseFeedbacksIncreaseItemcurrentinteger<int64>— Feedback increase for the periodtotalinteger<int64>— Total ratingsdynamicsinteger<int64>— Dynamics compared to the previous period (%)fiveStarobject— 5 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)totalinteger<int64>— Total ratings
fourStarobject— 4 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)totalinteger<int64>— Total ratings
threeStarobject— 3 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)totalinteger<int64>— Total ratings
twoStarobject— 1 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)totalinteger<int64>— Total ratings
oneStarobject— 1 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)totalinteger<int64>— Total ratings
itemsDistributionTableItem[]— Item datanmIdinteger<int64>— WB item numbertitlestring— Item namevendorCodestring— Seller item numbersubjectIdinteger<int64>— Subcategory IDsubjectNamestring— Subcategory namebrandNamestring— BrandtagNamestring— Label nametagIdinteger<int64>— Label IDpinnedFeedbackboolean— The review is pinnedratingnumber<float64>— Listing ratingfeedbackRatingobject— Feedback ratingcurrentnumber<float64>— Current ratingdynamicsnumber<float64>— Dynamics compared to the previous period (%)percentilenumber<float64>— How many percent of other sellers' items of this subcategory that have a lower feedback rating
feedbackCountobject— Feedback countcurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
fiveStarobject— 5 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
fourStarobject— 4 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
threeStarobject— 3 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
twoStarobject— 2 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
oneStarobject— 1 star reviewscurrentinteger<int64>— Feedback increase for the perioddynamicsinteger<int64>— Dynamics compared to the previous period (%)
disqualifiedinteger<int64>— Excluded reviewsisShadowedboolean— Is the item hidden from catalog: -true— the item is hidden from catalog -false— the item is not hidden from catalog
Structure 400:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi
cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))
result = api.post_v2_item_rating(item_rating_request=...)
print(result)ts
import {
Configuration,
AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);
const { data } = await api.postV2ItemRating(itemRatingRequest);
console.log(data);go
import (
"context"
"fmt"
wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)
cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)
result, _, err := client.AnalyticsAPI.PostV2ItemRating(context.Background()).ItemRatingRequest(itemRatingRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);
System.out.println(api.postV2ItemRating(itemRatingRequest));php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);
print_r($api->postV2ItemRating($item_rating_request));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);
Сообщить(Клиент.PostV2ItemRating(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);
Console.WriteLine(api.PostV2ItemRating(itemRatingRequest));rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = analytics_api::post_v2_item_rating(&cfg, item_rating_request).await;
println!("{:#?}", result);
}